curl -H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"input":[{"url":"https://www.google.com/travel/hotels/New+York?...","country":"US","currency":"USD"}],"limit_per_input":10}' \
"https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_mg3gjfmg12tc2n5d4d¬ify=false&include_errors=true&type=discover_new&discover_by=filter_url"
import requests
response = requests.post(
"https://api.brightdata.com/datasets/v3/scrape",
params={
"dataset_id": "gd_mg3gjfmg12tc2n5d4d",
"notify": "false",
"include_errors": "true",
"type": "discover_new",
"discover_by": "filter_url",
},
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"input": [
{
"url": "https://www.google.com/travel/hotels/New+York?...",
"country": "US",
"currency": "USD",
},
],
"limit_per_input": 10,
},
)
print(response.text)
const params = new URLSearchParams({
dataset_id: "gd_mg3gjfmg12tc2n5d4d",
notify: "false",
include_errors: "true",
type: "discover_new",
discover_by: "filter_url",
});
const response = await fetch(`https://api.brightdata.com/datasets/v3/scrape?${params}`, {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
input: [
{
url: "https://www.google.com/travel/hotels/New+York?...",
country: "US",
currency: "USD",
},
],
limit_per_input: 10,
}),
});
console.log(await response.text());
[
{
"hotel_id": "CgoI_example",
"name": "The Plaza",
"address": "768 5th Ave, New York, NY 10019",
"rating": 4.5,
"reviews_count": 8200,
"price_per_night": "795.00",
"currency": "USD"
}
]
Google
Discover Google Hotels by filter URL
Use the Bright Data Scraper API to discover Google Hotels listings by filter URL. POST /datasets/v3/scrape returns hotel records as JSON.
POST
/
datasets
/
v3
/
scrape
curl -H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"input":[{"url":"https://www.google.com/travel/hotels/New+York?...","country":"US","currency":"USD"}],"limit_per_input":10}' \
"https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_mg3gjfmg12tc2n5d4d¬ify=false&include_errors=true&type=discover_new&discover_by=filter_url"
import requests
response = requests.post(
"https://api.brightdata.com/datasets/v3/scrape",
params={
"dataset_id": "gd_mg3gjfmg12tc2n5d4d",
"notify": "false",
"include_errors": "true",
"type": "discover_new",
"discover_by": "filter_url",
},
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"input": [
{
"url": "https://www.google.com/travel/hotels/New+York?...",
"country": "US",
"currency": "USD",
},
],
"limit_per_input": 10,
},
)
print(response.text)
const params = new URLSearchParams({
dataset_id: "gd_mg3gjfmg12tc2n5d4d",
notify: "false",
include_errors: "true",
type: "discover_new",
discover_by: "filter_url",
});
const response = await fetch(`https://api.brightdata.com/datasets/v3/scrape?${params}`, {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
input: [
{
url: "https://www.google.com/travel/hotels/New+York?...",
country: "US",
currency: "USD",
},
],
limit_per_input: 10,
}),
});
console.log(await response.text());
[
{
"hotel_id": "CgoI_example",
"name": "The Plaza",
"address": "768 5th Ave, New York, NY 10019",
"rating": 4.5,
"reviews_count": 8200,
"price_per_night": "795.00",
"currency": "USD"
}
]
Query Parameters
string
default:"gd_mg3gjfmg12tc2n5d4d"
required
The dataset ID used for this request.
Must be set to
gd_mg3gjfmg12tc2n5d4d to discover Google Hotels by filter URL.string
default:"discover_new"
required
Must be set to
discover_new.string
default:"filter_url"
required
Must be set to
filter_url.boolean
default:false
Whether to send notifications when the request is completed.
boolean
default:true
Whether to include errors in the response.
Request Body
object[]
required
An array of input objects.
Show properties
Show properties
Example
{
"input": [
{
"url": "https://www.google.com/travel/hotels/New+York?...",
"country": "US",
"currency": "USD"
}
]
}
curl -H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"input":[{"url":"https://www.google.com/travel/hotels/New+York?...","country":"US","currency":"USD"}],"limit_per_input":10}' \
"https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_mg3gjfmg12tc2n5d4d¬ify=false&include_errors=true&type=discover_new&discover_by=filter_url"
import requests
response = requests.post(
"https://api.brightdata.com/datasets/v3/scrape",
params={
"dataset_id": "gd_mg3gjfmg12tc2n5d4d",
"notify": "false",
"include_errors": "true",
"type": "discover_new",
"discover_by": "filter_url",
},
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"input": [
{
"url": "https://www.google.com/travel/hotels/New+York?...",
"country": "US",
"currency": "USD",
},
],
"limit_per_input": 10,
},
)
print(response.text)
const params = new URLSearchParams({
dataset_id: "gd_mg3gjfmg12tc2n5d4d",
notify: "false",
include_errors: "true",
type: "discover_new",
discover_by: "filter_url",
});
const response = await fetch(`https://api.brightdata.com/datasets/v3/scrape?${params}`, {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
input: [
{
url: "https://www.google.com/travel/hotels/New+York?...",
country: "US",
currency: "USD",
},
],
limit_per_input: 10,
}),
});
console.log(await response.text());
[
{
"hotel_id": "CgoI_example",
"name": "The Plaza",
"address": "768 5th Ave, New York, NY 10019",
"rating": 4.5,
"reviews_count": 8200,
"price_per_night": "795.00",
"currency": "USD"
}
]
Was this page helpful?